<!DOCTYPE html>
<html lang="en">

<head>
  <title>Bootstrap Example</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>

<body>

  <div class="container">
    <div class="text-center my-4">
      <h2>Danh sách người dùng đăng ký</h2>
    </div>

    <table id="table-user" class="table table-bordered table-striped table-hover">
      <thead>
        <tr>
          <th>Id</th>
          <th>Firstname</th>
          <th>Lastname</th>
          <th>Country</th>
          <th>Subject</th>
          <th>Customer Type</th>
          <th>Register Status</th>
          <th>Action</th>
        </tr>
      </thead>
      <tbody>
      
      </tbody>
    </table>
  </div>
  
  <script>
    "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    

    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    $(document).ready(function(){
      onPageLoading();
    })
      

    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    
    //function for loading the web page
    function onPageLoading(){
      callApiGetUserData();
    };

    //call API for load users' data
    function callApiGetUserData(){
      $.ajax({
        url: "http://203.171.20.210:8080/devcamp-register-java-api/users",
        type: "GET",
        success: function(result){
          console.log(result);
          loadUserDataToTable(result);
        },
        error: function(ajaxContext){
          console.log(ajaxContext.status)
        }
      });
    }

    //load data to the table
    function loadUserDataToTable(paramUser){
      
      //create a table
      var vTable = $("#table-user");
      
      for (var bI=0; bI < paramUser.length; bI++){
        //create a row in the table and add to the table
        var vNewRow = $("<tr>").appendTo(vTable);
        //create new cells and load the data to them  
        $("<td>", {html: paramUser[bI].id}).appendTo(vNewRow);
        $("<td>", {html: paramUser[bI].firstname}).appendTo(vNewRow);
        $("<td>", {html: paramUser[bI].lastname}).appendTo(vNewRow);
        $("<td>", {html: paramUser[bI].country}).appendTo(vNewRow);  
        $("<td>", {html: paramUser[bI].subject}).appendTo(vNewRow);
        $("<td>", {html: paramUser[bI].customerType}).appendTo(vNewRow);
        $("<td>", {html: paramUser[bI].registerStatus}).appendTo(vNewRow);

        //create a column for action buttons
        var vAction = $("<td>").appendTo(vNewRow); 
        
        //create edit button
        var vEditButton = $("<button>")
          .html("Sửa")
          .attr('class', "btn btn-primary col-5 btn-edit");
        vEditButton.appendTo(vAction);
        //add data to Edit
        vEditButton.attr("data-id", paramUser[bI].id);
        vEditButton.attr("data-firstname", paramUser[bI].firstname);
        vEditButton.attr("data-lastname", paramUser[bI].lastname);
        vEditButton.attr("data-country", paramUser[bI].country);
        vEditButton.attr("data-subject", paramUser[bI].subject);
        vEditButton.attr("data-customertype", paramUser[bI].customerType);
        vEditButton.attr("data-registerstatus", paramUser[bI].registerStatus);

        //create Delete Button
        var vDeleteButton = $("<button>")
          .html("Xóa")
          .attr("class", "btn btn-warning col-5 btn-delete")
        vDeleteButton.appendTo(vAction);
        //add data to Delete Button
        vDeleteButton.data("id", paramUser[bI].id)
        vDeleteButton.data("firstname", paramUser[bI].firstname)
        vDeleteButton.data("lastname", paramUser[bI].lastname)
        vDeleteButton.data("country", paramUser[bI].country)
        vDeleteButton.data("subject", paramUser[bI].subject)
        vDeleteButton.data("customertype", paramUser[bI].customerType)
        vDeleteButton.data("registerstatus", paramUser[bI].registerStatus)
                           
      }
    }

    //add event handler for Edit Button
    $("#table-user").on('click', ".btn-edit", onEditButtonClick);

    //add event handler for Delete Button
    $("#table-user").on('click', ".btn-delete", onDeleteButtonClick);

    //function for Edit Button
    function onEditButtonClick(){
      console.log("%c Edit Button was clicked - The edited ID: ", "color:orange", $(this).data("id"))
    }

    //function for Delete Button
    function onDeleteButtonClick(){
      console.log("%c Delete Button was clicked - The deleted ID: ", "color:orange",  $(this).data("id"))
    }


    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    
   
</script>
</body>

</html>
​